import 'dart:io';

import 'package:flutter/material.dart';
import 'features.dart';

void main() {
  HttpOverrides.global = MyHttpOverrides_SSL();
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Smart Select',
      home: Features(),
    );
  }
}

class MyHttpOverrides_SSL extends HttpOverrides {
  @override
  HttpClient createHttpClient(SecurityContext? context) {
    return super.createHttpClient(context)
      ..badCertificateCallback =
          (X509Certificate cert, String host, int port) => true;
  }
}